﻿@using Isen.DotNet.Library.Models.Implementation;
@using Isen.DotNet.Library.Repositories.Interfaces;
@{
    ViewData["Title"] = "Point d'intérêt (détail)";
}
@inject IAddressRepository _addressRepository;
@inject ICategoryRepository _categoryRepository;
@model Poi
<div class="row">
    <div class="col-md-12">
        <h1>Détail d'un point d'intérêt <small>/poi/detail</small></h1>
    </div>
</div>
<div class="row">
    <div class="col-md-12">
        <form class="form-horizontal" asp-action="Detail">
            <input type="hidden" value="@Model?.Id" asp-for="Id" />
            <div>
                <label for="Name" class="control-label">Nom du poi :</label>
                <input type="text" class="form-control"
                       id="Name" placeholder="Nom du poi"
                       value="@Model?.Name" asp-for="Name" />

                <label for="Description" class="control-label">Description du poi :</label>
                <input type="text" class="form-control"
                       id="Description" placeholder="Description du poi"
                       value="@Model?.Description" asp-for="Description" />

                <div>
                    <label for="CategoryId">
                        Categorie :
                    </label>
                    @Html.DropDownListFor(
              // Champ du modèle (quelle ville faut-il sélectionner)
              // Le moteur Razor sait que p est une Personne
              // grace à @model Person
              ca => ca.CategoryId,
              // Remplissage de la liste
              new SelectList(
                  // Liste des entités qui peuplent la liste
                  // voir @using et @inject en haut de fichier
                  _categoryRepository.GetAll(),
                  // Champ de clé
                  "Id",
                  // Champ d'affichage
                  "Name"),
              // Item par défaut
              "<Sélectionnez une categorie>",
              // Classe CSS
              // Le @ n'est pas celui de Razor mais celui du C#
              // Si on veut nommer une classe ou un champ avec un
              // mot clé du langage, on le fait précéder d'un @
              new { @class = "form-control" })
                </div>

                <div>
                    <label for="AddressId">
                        Addresse :
                    </label>
                    @Html.DropDownListFor(
                         // Champ du modèle (quelle ville faut-il sélectionner)
                         // Le moteur Razor sait que p est une Personne
                         // grace à @model Person
                         a => a.AddressId,
                         // Remplissage de la liste
                         new SelectList(
                             // Liste des entités qui peuplent la liste
                             // voir @using et @inject en haut de fichier
                             _addressRepository.GetAll(),
                             // Champ de clé
                             "Id",
                             // Champ d'affichage
                             "TextLine"),
                         // Item par défaut
                         "<Sélectionnez une addresse>",
                         // Classe CSS
                         // Le @ n'est pas celui de Razor mais celui du C#
                         // Si on veut nommer une classe ou un champ avec un
                         // mot clé du langage, on le fait précéder d'un @
                         new { @class = "form-control" })
                </div>

            </div>
            <br />
            <input type="submit" class="btn btn-primary" value="Valider" />
            <a class="btn btn-default"
               asp-controller="Poi" asp-action="Index">Annuler</a>
        </form>
    </div>
</div>